<template>
    <div>
        <div class="wrapper">
      <!--Mobile header start here -->
      <div class="mobile_header">
        <section class="hero-banner mobile_hero_baner">
         
          <div class="container">
            <div class="top-header"> 
              <div class="left-nav-sec">         
                <a href="javascript:void(0)" class="closebtn">
                  <img src="../assets/images/icon/action/left-arrow.png" alt="" class="img-responsive">
                </a>
              </div>         
              <div class="right-nav-sec">
                <ul class="right-nav-list">
                  <li>
                    <a href="#">
                      <img src="../assets/images/icon/action/user-white.png" alt="" class="img-responsive">
                    </a>
                  </li>
                  <li>
                    <a href="#" data-toggle="modal" data-target=".infomodal">
                      <img src="../assets/images/icon/action/info-white.png" alt="" class="img-responsive">
                    </a>
                  </li>
                  <li>
                    <a href="#" class="add_cart">
                      <img src="../assets/images/icon/action/cart-white.png" alt="" class="img-responsive">
                    </a>
                  </li>
                </ul>
              </div>
            </div>  
            <div class="hero-logo">            
              <div class="logo">
                  <a href="#"><img src="../assets/images/logo.png" alt="" class="img-responsive"></a>              
              </div>
            </div>              
          </div>  
        </section>
        <section class="mobile-colpse-sec">
          <div class="container">
            <div class="navbar-toggler custom_nav_toggle" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
              <div class="mobile-btn-sec">
                <div class="title_cat_mob">
                  <p>Categories</p>
                </div>
                <div class="btn_burger">                
                  <i class="fa fa-bars" aria-hidden="true"></i>                
                </div>  
              </div>
            </div>  
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
              <div class="container">
                <div class="nav_mob">        
                  <div class="mobile_navbar">
                    <div class="choosebox-search sidebar-srch">
                      <input class="form-control ch_box_search" type="search" placeholder="Search" aria-label="Search" v-on:change="handleChange()">
                    </div>
                    <div class="sidbar-nav mobile_col_nav">
                      <categoryList :singlecategory="singlecategory" :sidelink="sidelink" :category_list="category_list"></categoryList>
                      <!-- <ul>
                        <li><a href="#">Ice Cream</a></li>
                        <li><a href="#">Ice Cream - Create your own</a></li>
                        <li><a href="#">Shakes</a></li>
                        <li><a href="#">Signature Cakes</a></li>
                        <li><a href="#">Drinks</a></li>
                        <li><a href="#">Mix &amp; Go</a></li>
                        <li><a href="#">Hot Stone ™ Warm &amp; Delicious</a></li>
                        <li><a href="#">Quarts - Ready for Pickup</a></li>
                        <li><a href="#">Sundaes</a></li>
                      </ul> -->
                    </div>    
                  </div>  
                </div>
              </div>  
            </div>            
          </div>  
        </section>
      </div>
      <!--Mobile header End here -->
      <!--1. Left Sidebar section start here -->
      <div id="mySidenav" class="sidenav">
        <div class="hero-bg-sidebar">
          <a href="javascript:void(0)" class="closebtn">
            <img src="../assets/images/icon/action/left-arrow.png" alt="" class="img-responsive" />
          </a>
          <div class="logo-sidebar">
            <a href="#"><img src="../assets/images/logo.png" alt="" class="img-responsive"></a>
          </div>
        </div>
        <div class="choosebox-search sidebar-srch">
          <input class="form-control ch_box_search" type="search" placeholder="Search" aria-label="Search" v-on:change="handleChange()">
        </div>
        <div class="sidbar-nav">
          <categoryList :singlecategory="singlecategory" :sidelink="sidelink" :category_list="category_list"></categoryList>

          <!-- <ul>
            <li><a href="#">Ice Cream</a></li>
            <li><a href="#">Ice Cream - Create your own</a></li>
            <li><a href="#">Shakes</a></li>
            <li><a href="#">Signature Cakes</a></li>
            <li><a href="#">Drinks</a></li>
            <li><a href="#">Mix & Go</a></li>
            <li><a href="#">Hot Stone ™ Warm & Delicious</a></li>
            <li><a href="#">Quarts - Ready for Pickup</a></li>
            <li><a href="#">Sundaes</a></li>
          </ul> -->
        </div>    
      </div>
      <!--/1. Left Sidebar section end here -->
      <!-- Main Middle Section Start Here -->
      <div id="main" class="main_sec">
        <!-- Admin Header -->
        <header class="header-sec">
          <div class="container-fluid">
            <nav class="top_navbar">
              <div class="left-nav-sec">
                <a href="#" class="btn btn-small light-wht-bg cat_btn">CATERING</a>
              </div>
              <div class="right-nav-sec">
                <ul class="right-nav-list">
                  <li>
                    <a href="#">
                      <img src="../assets/images/icon/action/user-white.png" alt="" class="img-responsive">
                    </a>
                  </li>
                  <li>
                    <a href="#" data-toggle="modal" data-target=".infomodal">
                      <img src="../assets/images/icon/action/info-white.png" alt="" class="img-responsive">
                    </a>
                  </li>
                  <li>
                    <a href="#" class="add_cart">
                      <img src="../assets/images/icon/action/cart-white.png" alt="" class="img-responsive">
                    </a>
                  </li>
                </ul>
              </div>
            </nav>
          </div>
        </header>    
        <!-- /Admin Header -->
        
        <!-- Admin Main Section -->
        <div class="main_wrapper">
          <div class="search_input_mob">
            <div class="container">
              <div class="choosebox-search sidebar-srch">
                <input class="form-control ch_box_search mobile_search" type="search" placeholder="Search" aria-label="Search">
              </div>
            </div>  
          </div>
          <!-- After complated process msg-->
          <section class="item_desc_block completed_msg_alert">
            <div class="container-fluid">
              <div class="item_desc_root">
                <p>Message here message here message here message here Message here message here message here message here</p>
              </div>  
            </div>
          </section>
          <!-- After complated process msg-->
          <!-- 1. Order Method Section -->
          <section class="order-mehod-sec">
            <div class="container-fluid">
              <div id="order-acordian" class="accordian_root">
                <div class="card card_root">
                  <div class="card-header card_root_head" id="ordheading1">
                    <h5 class="mb-0">
                      <button class="btn btn-link" data-toggle="collapse" data-target="#ord1" aria-expanded="true" aria-controls="ord1">
                        Order Details                      
                      </button>
                    </h5>
                  </div>
                  <div id="ord1" class="collapse show" aria-labelledby="ordheading1" data-parent="#order-acordian">
                    <div class="card-body cust_body"> 
                      <div class="order_main_bx">
                        <div class="order_mehod_box">
                          <!-- Orderbox row-1-->
                          <div class="order_bx_same">
                            <div class="order_label">
                              <label>Order Method</label>
                            </div>
                            <div class="order_details">
                              <div class="deleivery_order">
                                <img src="../assets/images/icon/action/loyalty_24px.png" alt="" class="img-responsive">
                                <span>Delivery</span>
                              </div>
                              <div class="deleiver_addres">
                                <span>STORE # 124 <br> 1000 Somewhere Lane <br> Dallas, TX 75231</span>
                              </div>
                            </div>
                          </div>
                          <!-- /Orderbox row-1-->
                          <!-- Orderbox row-2-->
                          <div class="order_bx_same">
                            <div class="order_label">
                              <label>Location</label>
                            </div>
                            <div class="order_details">              
                              <div class="deleiver_addres">
                                <span>STORE # 124 <br> 1000 Somewhere Lane <br> Dallas, TX 75231</span>
                              </div>
                            </div>
                          </div>
                          <!-- /Orderbox row-2-->
                          <!-- Orderbox row-3-->
                          <div class="order_bx_same">
                            <div class="order_label">
                              <label>Time</label>
                            </div>
                            <div class="order_details">              
                              <div class="deleiver_addres">
                                <span>June 19, 2019 <br> ASAP - 20 Min Wait</span>
                              </div>
                            </div>
                          </div>
                          <!-- /Orderbox row-3-->              
                        </div>
                        <div class="edit_btn">
                          <a href="#">EDIT</a>
                        </div>
                      </div>  
                    </div>  
                  </div>  
                </div>  
              </div>  
            </div>
          </section>
          <!-- /1. Order Method Section -->    
          
          <!-- 2. Orderpickup Section Start Here -->
          <section class="order-pick-sec">
            <div class="container-fluid">
              <div class="order_pick_root">
                <div class="order_pick_box coman_pickbx">
                  <a href="#" class="order_pick_btn btn">
                    <img src="../assets/images/icon/action/orderusal-icon.png" alt="" class="img-responsive">
                    <p>ORDER MY USUAL</p>
                  </a>
                </div>
                <div class="order_pick_box coman_pickbx" @click.prevent="popularPicks()">
                  <a class='order_pick_btn btn' data-toggle='collapse' data-target='#ord2' aria-expanded='false' aria-controls='ord2'>
                    <img src="../assets/images/icon/action/popularpick-icon.png" alt="" class="img-responsive">
                    <p>POPULAR PICKS</p>
                  </a>
                </div>
              </div>
            </div>
          </section>
          <!-- /2. Orderpickup Section Start Here -->

          <section className='popular-pick-sec'>
            <div className='container-fluid' v-if="(this.check && !this.check2)||this.check2"> 
              <div v-if="(this.clicked&&!this.clicked1)||this.check2">
                 <order></order>
              </div> 
                <!-- <order></order> -->
            </div>
          </section>        
          <!--4. Footer Section -->
          <footer class="footer-block cart_footer">
            <div class="footer-sec">
              <div class="container">
                <hr />
                <div class="footer_nav">
                  <ul class="footer_menu_list list-inline list-unstyled">
                    <li><i>POWERED BY</i><a href="#"><img src="../assets/images/footer_logo.png" alt="" class="img-responsive"></a></li>
                    <li><a href="#">TERMS</a></li>
                    <li><a href="#">PRIVACY POLICY</a></li>
                  </ul>
                </div>
              </div>
            </div>
          </footer>
          <!--4. /Footer Section -->
        </div>  
        <!-- /Admin Main Section -->
      </div>            
      
      <!-- Rightside Shoping Cart -->  
        <div id="shop-cart" class="shoping-cart">
          <div class="shoping_cart_parent">
            <!-- 1. Title Shoping Cart -->
            <div class="cart_comn_title">
              <h2>Shopping Cart
                <button type="button" class="close cart-close-btn" >
                  <i class="fa fa-times" aria-hidden="true"></i>
                </button>
              </h2>
            </div>
            <!-- /1. Title Shoping Cart -->
            <!-- 2. Shoping Cart Box -->
            <div class="shoping_cart_box">
              <!-- Top-cart-sec -->
              <div class="top_cart_sec">
                <div class="top_cart_left">
                  <div class="item_type">
                    <p>Signature Cakes</p>
                  </div>
                  <div class="item_title">
                    <h3>Midnight Delight</h3>
                  </div>
                </div>  
                <div class="top_cart_right">
                  <div class="edit_btn">
                    <a href="#">EDIT</a>
                  </div>
                </div>
              </div>  
              <!-- /Top-cart-sec -->
              <!-- Quantity-cart-sec -->
              <div class="qty_cart_sec">
                <div class="cart_label_title">
                  <label>Quantity</label>
                  <div class="item_action_bx qty_cart_child">
                    <div class="input-group increase-decrease">
                      <div class="input-group-prepend decrease">
                          <span class="input-group-text">
                            <i class="fa fa-trash" aria-hidden="true"></i>
                          </span>
                      </div>
                      <input id="qty1" type="text" value="1" class="form-control qty">
                      <div class="input-group-append increase">
                          <span class="input-group-text">
                            <i class="fa fa-plus" aria-hidden="true"></i>
                          </span>
                      </div>
                    </div>
                  </div>                  
                </div>
                <div class="cart_total_qty">                  
                  <div class="cart_item_total">
                    <label>Price</label>
                    <p>$0.00</p>
                  </div>
                </div>
              </div>
              <hr />  
              <div class="items_listing_cart option_ac_item">
                <div id="option-acordian" class="option_ac_root">
                  <div class="card card_root option_ac_card">
                    <div class="card-header card_root_head" id="optionheading1">
                      <h5 class="mb-0">
                        <button class="btn btn-link" data-toggle="collapse" data-target="#optionac1" aria-expanded="true" aria-controls="optionac1">
                        Options
                        </button>
                      </h5>
                    </div>
                    <div id="optionac1" class="collapse show option_head_colps" aria-labelledby="optionheading1" data-parent="#option-acordian">
                      <!-- Item-1 -->
                      <div class="item_listing_root">
                        <div class="item_para_desc">
                          <label>Size</label>
                          <p>- Like It</p>
                        </div>
                        <div class="item_para_price">
                          <p>$4.03</p>
                        </div>
                      </div>  
                      <!-- /Item-1 -->
                      <!-- Item-2 -->
                      <div class="item_listing_root">
                        <div class="item_para_desc">
                          <label>Type of Cone</label>
                          <p>- Plain Waffle Cone</p>
                        </div>
                        <div class="item_para_price">
                          <p>$0.99</p>
                        </div>
                      </div>  
                      <!-- /Item-2 -->
                      <!-- Item-3 -->
                      <div class="item_listing_root">
                        <div class="item_para_desc">
                          <label>Mix Ins</label>
                          <p>- Almonds</p>                    
                        </div>
                        <div class="item_para_price">
                          <p>$0.85</p>                    
                        </div>
                      </div>  
                      <!-- /Item-3 -->
                      <!-- Item-4 -->
                      <div class="item_listing_root">
                        <div class="item_para_desc">                    
                          <p>- Apple Pie Filling</p>
                        </div>
                        <div class="item_para_price">
                          <p>$0.85</p>                    
                        </div>
                      </div>  
                      <!-- /Item-4 -->
                      <!-- Item-5 -->
                      <div class="item_listing_root">
                        <div class="item_para_desc">
                          <label>Special Instructions:</label>
                          <p>Extra almonds on side</p>                    
                        </div>                  
                      </div>  
                      <!-- /Item-5 -->
                    </div>  
                  </div>  
                </div>  
                <hr />                
              </div>
              <div class="item_listing_root">                
                <div class="item_para_desc">
                  <label>Subtotal:</label>                    
                </div>
                <div class="item_para_price">
                  <p>$7.57</p>                    
                </div>
              </div>
              <!-- /Quantity-cart-sec -->
            </div>
            <!-- /2. Shoping Cart Box -->

            <!-- 3. Shoping Cart Total -->
            <div class="cart_total_main">
              <div class="cart_total_parent">
                <div class="cart_total_label">
                  <label>Subtotal:</label>
                </div>
                <div class="cart_total_calc">
                  <p>$7.57</p>
                </div>
              </div>
              <div class="cart_total_parent">
                <div class="cart_total_label">
                  <label>Tax:</label>
                </div>
                <div class="cart_total_calc">
                  <p>$0.45</p>
                </div>
              </div>
              <div class="cart_total_parent">
                <div class="cart_total_label">
                  <label>Tip:</label>
                </div>
                <div class="cart_total_calc">
                  <p>$0.00</p>
                </div>
              </div>
              <div class="cart_total_parent">
                <div class="cart_total_label">
                  <label>Online Ordering:</label>
                </div>
                <div class="cart_total_calc">
                  <p>$0.95</p>
                </div>
              </div>
              <div class="cart_total_parent">
                <div class="cart_total_label overall_tot">
                  <label>TOTAL:</label>
                </div>
                <div class="cart_total_calc overall_val">
                  <p>$8.97</p>
                </div>
              </div>
              <hr />
            </div>
            <!-- /3. Shoping Cart Total -->
            <!-- 4. Shoping Cart procedd btn -->
            <div class="procedd_btn action_checkout_btn">              
              <a href="#" data-toggle="modal" data-target=".placeorder" class="btn btn-primary form_coman_lgbtn red-bg addto">Proceed to Checkout</a>
            </div>
            <!-- /4. Shoping Cart procedd btn -->
          </div>
        </div>
      <!-- /Rightside Shoping Cart -->  
      <!-- 1. placeorder-modal start here -->      
      <div class="modal fade placeorder" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-lg custom_modal_dialog">
          <div class="modal-content custom_modal_con">             
            <div class="modal-header custom_modal_head">
              <h5 class="modal-title" id="exampleModalLongTitle">Cold Stone Creamery</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body custom_modal_body">
              <div class="root_modal_order">
                <div class="modal_parent m_b_27">
                  <!-- Placeorder modal row 1 -->
                  <div class="root_modal_row">
                    <div class="modal_thumb">
                      <img src="../assets/images/icecream.png" alt="" class="img-responsive">
                    </div>
                    <div class="modal_item_desc">
                      <div class="item_type">
                        <p>EXTRAS</p>
                      </div>
                    </div>  
                    <div class="item_title">
                      <h3>Fountain Drink</h3>
                    </div>
                    <div class="item_desc_bx">
                      <p>The ultimate ice cream, and ours is made fresh, in every store. All ice cream is served in a cup. If you... </p>
                    </div>                
                    <div class="calorie_val">
                      <p>350 Calories</p>
                    </div>
                    <div class="total_calc_order">
                      <div class="tot_ord_val">
                        <p>$4.76</p>
                      </div>
                      <div class="tot_set_ord">
                        <div class="item_action_bx qty_cart_child">
                          <div class="input-group increase-decrease">
                            <div class="input-group-prepend decrease">
                                <span class="input-group-text">
                                  <i class="fa fa-trash" aria-hidden="true"></i>
                                </span>
                            </div>
                            <input id="qty2" type="text" value="1" class="form-control qty">
                            <div class="input-group-append increase">
                                <span class="input-group-text">
                                  <i class="fa fa-plus" aria-hidden="true"></i>
                                </span>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>  
                  <!-- /Placeorder modal row 1 -->
                  
                  <!-- Placeorder modal row 2 -->
                  <div class="root_modal_row">
                    <div class="modal_thumb">
                      <img src="../assets/images/icecream.png" alt="" class="img-responsive">
                    </div>
                    <div class="modal_item_desc">
                      <div class="item_type">
                        <p>EXTRAS</p>
                      </div>
                    </div>  
                    <div class="item_title">
                      <h3>Fountain Drink</h3>
                    </div>
                    <div class="item_desc_bx">
                      <p>The ultimate ice cream, and ours is made fresh, in every store. All ice cream is served in a cup. If you... </p>
                    </div>                
                    <div class="calorie_val">
                      <p>350 Calories</p>
                    </div>
                    <div class="total_calc_order">
                      <div class="tot_ord_val">
                        <p>$4.76</p>
                      </div>
                      <div class="tot_set_ord">
                        <div class="item_action_bx qty_cart_child">
                          <div class="input-group increase-decrease">
                            <div class="input-group-prepend decrease">
                                <span class="input-group-text">
                                  <i class="fa fa-trash" aria-hidden="true"></i>
                                </span>
                            </div>
                            <input id="qty3" type="text" value="1" class="form-control qty">
                            <div class="input-group-append increase">
                                <span class="input-group-text">
                                  <i class="fa fa-plus" aria-hidden="true"></i>
                                </span>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>    
                  <!-- /Placeorder modal row 2 -->
                </div>  
                <div class="modal_parent">
                
                  <!-- Placeorder modal row 3 -->
                  <div class="root_modal_row">
                    <div class="modal_thumb">
                      <img src="../assets/images/icecream.png" alt="" class="img-responsive">
                    </div>
                    <div class="modal_item_desc">
                      <div class="item_type">
                        <p>EXTRAS</p>
                      </div>
                    </div>  
                    <div class="item_title">
                      <h3>Fountain Drink</h3>
                    </div>
                    <div class="item_desc_bx">
                      <p>The ultimate ice cream, and ours is made fresh, in every store. All ice cream is served in a cup. If you... </p>
                    </div>                
                    <div class="calorie_val">
                      <p>350 Calories</p>
                    </div>
                    <div class="total_calc_order">
                      <div class="tot_ord_val">
                        <p>$4.76</p>
                      </div>
                      <div class="tot_set_ord">
                        <div class="item_action_bx qty_cart_child">
                          <div class="input-group increase-decrease">
                            <div class="input-group-prepend decrease">
                                <span class="input-group-text">
                                  <i class="fa fa-trash" aria-hidden="true"></i>
                                </span>
                            </div>
                            <input id="qty4" type="text" value="1" class="form-control qty">
                            <div class="input-group-append increase">
                                <span class="input-group-text">
                                  <i class="fa fa-plus" aria-hidden="true"></i>
                                </span>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>  
                  <!-- /Placeorder modal row 3 -->

                  <!-- Placeorder modal row 4 -->
                  <div class="root_modal_row">
                    <div class="modal_thumb">
                      <img src="../assets/images/icecream.png" alt="" class="img-responsive">
                    </div>
                    <div class="modal_item_desc">
                      <div class="item_type">
                        <p>EXTRAS</p>
                      </div>
                    </div>  
                    <div class="item_title">
                      <h3>Fountain Drink</h3>
                    </div>
                    <div class="item_desc_bx">
                      <p>The ultimate ice cream, and ours is made fresh, in every store. All ice cream is served in a cup. If you... </p>
                    </div>                
                    <div class="calorie_val">
                      <p>350 Calories</p>
                    </div>
                    <div class="total_calc_order">
                      <div class="tot_ord_val">
                        <p>$4.76</p>
                      </div>
                      <div class="tot_set_ord">
                        <div class="item_action_bx qty_cart_child">
                          <div class="input-group increase-decrease">
                            <div class="input-group-prepend decrease">
                                <span class="input-group-text">
                                  <i class="fa fa-trash" aria-hidden="true"></i>
                                </span>
                            </div>
                            <input id="qty5" type="text" value="1" class="form-control qty">
                            <div class="input-group-append increase">
                                <span class="input-group-text">
                                  <i class="fa fa-plus" aria-hidden="true"></i>
                                </span>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>    
                  <!-- /Placeorder modal row 4 -->
                </div>  
              </div>
            </div>
            <div class="modal-footer custom_footer">
              <div class="procedd_btn action_checkout_btn">              
                <a href="#" class="btn form_coman_lgbtn red-bg addto addto_modal">Proceed to Checkout</a>
              </div>
            </div>            
          </div>
        </div>
      </div>
      <!-- /1. placeorder-modal end here -->
      <!-- 2. info-modal start here -->  
      <div class="modal fade infomodal" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-lg custom_modal_dialog">
          <div class="modal-content custom_modal_con">             
            <div class="modal-header custom_modal_head">
              <div class="modal_head_logo">
                <a href="#">
                  <img src="../assets/images/logo.png" alt="" class="img-responsive">
                </a>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">×</span>
                </button>  
              </div>               
            </div>
            <div class="modal-body custom_modal_body">                
              <div class="root_info_modal">
                <div class="client_desc_modal col_nfo_same">
                  <div class="address_selected">
                    <div class="icon_loc_left">
                      <img src="../assets/images/icon/action/locator.png" alt="" class="img-responsive">
                    </div>
                    <div class="loc_right_desc">
                      <p>Cold Stone White Marsh on The Avenue</p>                
                      <address>8137 Honeygo Blvd. #C  Nottingham, MD 21236</address>
                    </div>
                  </div>
                  <div class="pickup-time">
                    <div class="icon_loc_left">
                      <img src="../assets/images/icon/action/phone24X24.png" alt="" class="img-responsive">
                    </div>
                    <div class="loc_right_desc">
                      <p>(410) 931-2104</p>                                
                    </div>
                  </div>
                  <hr />
                  <div class="ac_details">
                    <div class="icon_loc_left">
                      <img src="../assets/images/icon/action/outlined.png" alt="" class="img-responsive">
                    </div>
                    <div class="loc_right_desc">
                      <p>Hours of Operation</p>                                
                    </div>
                    <div class="pickup_table_hr_details">
                      <table class="table timeline_table">
                        <tr>
                          <th></th>
                          <th>Pickup</th>
                          <th>Delivery</th>
                        </tr>
                        <tr>
                          <td>
                            <b>Sunday</b>
                          </td>
                          <td>
                            <b>11AM-10PM</b>
                          </td>
                          <td>
                            <b>11AM-10PM</b>
                          </td>
                        </tr>
                        <tr>
                          <td>
                            Monday
                          </td>
                          <td>
                            11AM-10PM
                          </td>
                          <td>
                            11AM-10PM
                          </td>
                        </tr>
                        <tr>
                          <td>
                            Tuesday
                          </td>
                          <td>
                            11AM-10PM
                          </td>
                          <td>
                            11AM-10PM
                          </td>
                        </tr>
                        <tr>
                          <td>
                            Wednesday
                          </td>
                          <td>
                            11AM-10PM
                          </td>
                          <td>
                            11AM-10PM
                          </td>
                        </tr>
                        <tr>
                          <td>
                            Thursday
                          </td>
                          <td>
                            11AM-10PM
                          </td>
                          <td>
                            11AM-10PM
                          </td>
                        </tr>
                        <tr>
                          <td>
                            Friday
                          </td>
                          <td>
                            11AM-10PM
                          </td>
                          <td>
                            11AM-10PM
                          </td>
                        </tr>
                        <tr>
                          <td>
                            Saturday
                          </td>
                          <td>
                            11AM-10PM
                          </td>
                          <td>
                            11AM-10PM
                          </td>
                        </tr>
                      </table>
                    </div>
                  </div>
                </div>
                <div class="client_loc col_nfo_same">
                  <img src="../assets/images/modal-map.png" alt="" class="img-responsive">
                </div>
              </div>                
            </div>
            <div class="modal-footer custom_footer">
                <div class="procedd_btn action_checkout_btn">              
                  <a href="#" class="btn btn-primary form_coman_lgbtn red-bg addto addto_modal" data-dismiss="modal">Close</a>
                </div>
            </div>            
          </div>
        </div>
      </div>
      <!-- /2. info-modal end here -->
    </div>      

    </div>
</template>

<script>
import axios from 'axios';
import categoryList from '../components2/categoryList'
import Vue from 'vue/dist/vue.js'
const baseurl = "https://biteheist.com/ordering/tx/GoodEatsDEV/index.php?";
const Order = Vue.extend({
  template: `
     <div><h1>POPULAR PICKS</h1></div>
    `,
  methods: {
  }
});

    export default {
       components: {
          "categoryList": categoryList,
          "order":Order
        },
        data() {
            return {
                name: '',
                description: '',
                price: '',
                //  value : 1,
                quantity: 2,
                new_price: '',
                category_list: '',
                methodChosen: '',
                method_chosen: '',
                check: true,
                check1: false,
                check2: false,
                name: '',
                searcheditems: [],
                cartproducts: [],
                totalcartitem: '',
                checked: false,
                searchitem: '',
                searcheditem: '',
                clicked: false,
                clicked1: false,
                id: '',
                address: '',
                locationName: '',
                date: '',
                hour: '',
                exactTime: '',
                OrderTime: '',
                loading: true,
                error: '',
                cartcheck: false,
                sidelink: '',
                togglestatus: false
            }
        },
        created(){
        let { method_chosen, methodChosen, address, locationName, date, hour, exactTime, address1, locationname, OrderTime, value, new_price } = this
          this.methodChosen = localStorage.getItem('methodChosen')
          this.address = localStorage.getItem('address')
          this.locationName = localStorage.getItem('locationName')
          this.date = localStorage.getItem('date')
          this.hour = localStorage.getItem('hour')
          this.id = localStorage.getItem('location_id')   
          this.exactTime = localStorage.getItem('exactTime')
          this.address1 = localStorage.getItem('address1')
          this.locationname = localStorage.getItem('locationName')
          this.OrderTime = localStorage.getItem('OrderTime')
          this.value = localStorage.getItem('quantity')
          this.new_price = localStorage.getItem('new_price')
          let id =localStorage.getItem('category_id')
          let name =localStorage.getItem('category_name')
          // this.singlecategory(id,name)
          this.categorylist()
          this.getCart()
          // this.popularPicks()
        },
        methods:{
          singlecategory(id,name){
            this.sidelink=id
            console.log('singlesdfasdf', this.sidelink)
            const token =  localStorage.getItem("token");
            axios({
                method :'get',
                url:baseurl+'route=feed/rest_api/products&category=' + id ,
                headers: {
                'Content-Type': 'Application/json',
                'Authorization': "Bearer "+ token
              },
            }).then(res=>{
              console.log("response from singlecatagory",res);
              
            })
            this.name=name;
            this.check1=false;
            this.check2=true;
            this.clicked=false;
            this.search_string="",
            this.loading=true
          },
          getCart(){
            let token =  localStorage.getItem("token");
            axios({
                method :'get',
                url:'https://biteheist.com/ordering/tx/GoodEatsDEV/index.php?route=rest/cart/cart',
                headers: {
                'Content-Type': 'Application/json',
                'Authorization': "Bearer "+ token
                }
            }).then(res=>{
              console.log("daataaaa",res);
              
            })
          },
          popularPicks(){
            console.log('clicked popular picks');
            console.log('methodchosen',this.methodChosen);
            if(this.methodChosen=='delivery'){
              let id= localStorage.getItem('locationId')
              let data=id
              let token = localStorage.getItem("token");
              var bodyFormData = new FormData();
              bodyFormData.set('location_id', data);
              axios({
                  method :'post',
                  url:baseurl+'route=feed/rest_api/popularPicks',
                  headers: {
                  'Content-Type': 'Application/json',
                  'Authorization': "Bearer "+ token
                },
                  data:bodyFormData
                  }).then(res=>{
                    console.log('response from popular picks',res);
                  })
                  let{check,check1}=this
                  this.check=!check,
                  this.check1=!check1,
                  this.check2=false,
                  this.clicked=false,
                  this.clicked1=true
            }
            else if(this.methodChosen=='"pickup"'){
              let id=localStorage.getItem('location_id')
              let data=id
              let token = localStorage.getItem("token");
              var bodyFormData = new FormData();
              bodyFormData.set('location_id', data);
              axios({
                  method :'post',
                  url:API_URL+'route=feed/rest_api/popularPicks',
                  headers: {
                  'Content-Type': 'Application/json',
                  'Authorization': "Bearer "+ token
                },
                  data:bodyFormData
                  }).then(res=>{
                    console.log('response from popular picks',res);
                  })
                  this.check= !check,
                  this.check1= !check1,
                  this.check2= false,
                  this.clicked= false,
                  this.clicked1= true
            }else{
              return null
            }
          },
          categorylist(){
                let { check1, check, term } = this;
                console.log("category list during didmount");
                this.check=!check;
                this.check1=!check1;
                var search_string=''
                let data=this.search_string
                let token =  localStorage.getItem("token")
                axios({
                  method :'get',
                  url:baseurl+'route=feed/rest_api/categories',
                  headers: {
                    'Content-Type': 'Application/json',
                    'Authorization': "Bearer "+ token
                  },
                  }).then(res=>{
                    console.log("response from categoryList",res.data);
                    console.log("101", res.data.data[0].category_id)
                    console.log("101", res.data.data[0].name)
                    this.id=res.data.data[0].category_id;
                    this.name=res.data.data[0].name
                    this.category_list=res.data
                    this.singlecategory(this.id,this.name)
                  })
              },
            handleChange(event){
              this.search_string=event.target.value;
              let { search_string, searcheditems } = this.state;
              let id = localStorage.getItem('location_id')
              let data = { search_string, id }
              var formData = new FormData();
              formData.append('search_string', data.search_string);
              formData.append('location_id',data.id)
                axios({
                      method :'post',
                      url:base+'route=feed/rest_api/searchProducts',
                      headers: {
                      'Content-Type': 'application/x-www-form-urlencoded',
                      'Authorization': "Bearer "+ token
                      },
                }).then(res=>{
                  console.log("responsefrom handlechange",res);
                  this.searcheditems=res.data.data,
                  this.loading=false
                  if(search_string !=''){
                    this.singlecategory(id,name)
                    this.search_string='',
                    this.loading=false
                  }
                  else{
                    return null
                  }
                })
              
            }
          }
       
    }
</script>

<style scoped>

</style>